local createCompositionclouds001 = nil
local createCompositionclouds002 = nil
local createCompositionClouds_all = nil
local createCompositiondoor_open = nil
local createCompositionloc_03_bg = nil
local createCompositionmuha = nil
local createCompositionMuhi = nil
local createCompositionSHADOW = nil
local createCompositionWindows = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/03_yard/main/anim/bg/"
---------------------------------------------------------------------------------------
function Loader_03_BG_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositiondoor_open,		                'door',		        0,0, 1, 512,384, false),
                CreateCompositionLoader(createCompositionloc_03_bg,		                'bg',		        0,0, 2, 512,384, true),
		},
		{
			function (element, textureName)
			    element:SetFrameSynchronizationActive(true)
			    
				if textureName == "muha_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(2)
					anim:SetTextureRect(0,0,32,20)
					anim:SetSpeed(25)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "Ptica_chern[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,90,90)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "Yelou_rays_smal_2_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(48)
					anim:SetTextureRect(0,0,68,56)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionclouds001 = function()
	local compositionclouds001 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionclouds001:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."cloud2.png")
	element:SetName("Layer_1")
	compositionclouds001:AddElement(element)
	element:SetHotSpot(170, 43.5)
	element:SetParentElement(compositionclouds001)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 368.968491290251)
	effector:SetKey(_TRACK_Y, 0, 150)
	effector:SetKey(_TRACK_X, 7.95833333333333, 313.968491290251)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 150)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 7.95833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."cloud2.png")
	element:SetName("Layer_2")
	compositionclouds001:AddElement(element)
	element:SetHotSpot(170, 43.5)
	element:SetParentElement(compositionclouds001)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 313.968491290251)
	effector:SetKey(_TRACK_Y, 0, 150)
	effector:SetKey(_TRACK_X, 7.95833333333333, 261.14145622294)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 150)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 7.95833333333333, 0)
	effector:Play()
 
	compositionclouds001:Play()
 
	return compositionclouds001
end
 
createCompositionclouds002 = function()
	local compositionclouds002 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionclouds002:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."cloud1.png")
	element:SetName("Layer_1")
	compositionclouds002:AddElement(element)
	element:SetHotSpot(263.5, 94.5)
	element:SetParentElement(compositionclouds002)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 391)
	effector:SetKey(_TRACK_Y, 0, 150)
	effector:SetKey(_TRACK_X, 7.95833333333333, 290)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 150)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 7.95833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."cloud1.png")
	element:SetName("Layer_2")
	compositionclouds002:AddElement(element)
	element:SetHotSpot(263.5, 94.5)
	element:SetParentElement(compositionclouds002)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 290)
	effector:SetKey(_TRACK_Y, 0, 150)
	effector:SetKey(_TRACK_X, 7.95833333333333, 240)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 150)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 7.95833333333333, 0)
	effector:Play()
 
	compositionclouds002:Play()
 
	return compositionclouds002
end
 
createCompositionClouds_all = function()
	local compositionClouds_all = CreateCompositionSequence()
	local compositionDuration = 8.00800800800801
	compositionClouds_all:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionclouds001()
	element:SetName("Layer_1")
	compositionClouds_all:AddElement(element)
	element:SetHotSpot(297, 148)
	element:SetParentElement(compositionClouds_all)
	element:SetXY(77, 32)
 
	element:SetScaleX(0.88215488215488)
	element:SetScaleY(0.93243243243243)
	element:SetOpacity(0.24)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionclouds002()
	element:SetName("Layer_2")
	compositionClouds_all:AddElement(element)
	element:SetHotSpot(297, 148)
	element:SetParentElement(compositionClouds_all)
	element:SetXY(966, 9)
 
	element:SetScaleX(0.68645918645919)
	element:SetScaleY(0.55405405405405)
	element:SetOpacity(0.45)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionclouds002()
	element:SetName("Layer_3")
	compositionClouds_all:AddElement(element)
	element:SetHotSpot(297, 148)
	element:SetParentElement(compositionClouds_all)
	element:SetXY(266, 83)
 
	element:SetScaleX(0.68645918645919)
	element:SetScaleY(0.55405405405405)
	element:SetOpacity(0.32)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionClouds_all:Play()
 
	return compositionClouds_all
end
 
createCompositiondoor_open = function()
	local compositiondoor_open = CreateCompositionSequence()
	local compositionDuration = 1.001001001001
	compositiondoor_open:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."door.png")
	element:SetName("Layer_1")
	compositiondoor_open:AddElement(element)
	element:SetHotSpot(-0.5, 78)
	element:SetParentElement(compositiondoor_open)
	element:SetXY(802.5, 289.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.001001001001)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 1.001001001001, 0.75)
	effector:SetKey(_TRACK_SY, 1.001001001001, 1)
	effector:Play()
 
	compositiondoor_open:Play()
 
	return compositiondoor_open
end
 
createCompositionloc_03_bg = function()
	local compositionloc_03_bg = CreateCompositionSequence()
	local compositionDuration = 8.00800800800801
	compositionloc_03_bg:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionSHADOW()
	element:SetName("Layer_1")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionloc_03_bg)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionMuhi()
	element:SetName("Layer_2")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(79, 81)
	element:SetParentElement(compositionloc_03_bg)
	element:SetXY(926, 526)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Yelou_rays_smal_2_[].png")
	element:SetName("Layer_3")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(34, 28)
	element:SetParentElement(compositionloc_03_bg)
	element:SetXY(230, 392)
 
	element:SetScaleX(11.5597851342113)
	element:SetScaleY(8.81784434759453)
	element:SetAngle(-2.57212343971956)
	element:SetOpacity(0.6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_4")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionloc_03_bg)
	element:SetAngle(0.104719755)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3.29496162829496, 1094)
	effector:SetKey(_TRACK_Y, 3.29496162829496, 134)
	effector:SetKey(_TRACK_X, 4.21254587921255, 360.666692951274)
	effector:SetKey(_TRACK_Y, 4.21254587921255, 74)
	effector:SetKey(_TRACK_X, 4.92158825492159, 96.2291556906089)
	effector:SetKey(_TRACK_Y, 4.92158825492159, 66)
	effector:SetKey(_TRACK_X, 5.4637971304638, -9.70083764744011)
	effector:SetKey(_TRACK_Y, 5.4637971304638, 48)
	effector:SetKey(_TRACK_X, 6.04771438104771, -106)
	effector:SetKey(_TRACK_Y, 6.04771438104771, 26)
	effector:SetKey(_TRACK_SX, 3.29496162829496, 1)
	effector:SetKey(_TRACK_SY, 3.29496162829496, 1)
	effector:SetKey(_TRACK_SX, 4.21254587921255, 0.68222222222222)
	effector:SetKey(_TRACK_SY, 4.21254587921255, 0.68222222222222)
	effector:SetKey(_TRACK_SX, 4.92158825492159, 0.56762962962963)
	effector:SetKey(_TRACK_SY, 4.92158825492159, 0.56762962962963)
	effector:SetKey(_TRACK_SX, 5.4637971304638, 0.52172839506173)
	effector:SetKey(_TRACK_SY, 5.4637971304638, 0.52172839506173)
	effector:SetKey(_TRACK_SX, 6.04771438104771, 0.48)
	effector:SetKey(_TRACK_SY, 6.04771438104771, 0.48)
	effector:SetKey(_TRACK_O, 3.29496162829496, 0.64666666666667)
	effector:SetKey(_TRACK_O, 6.04771438104771, 0.3)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionWindows()
	element:SetName("Layer_5")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionloc_03_bg)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."mask02.png")
	element:SetName("Layer_6")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(259, 173)
	element:SetParentElement(compositionloc_03_bg)
	element:SetXY(258, 172)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."Ptica_chern[].png")
	element:SetName("Layer_7")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(45, 45)
	element:SetParentElement(compositionloc_03_bg)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 341)
	effector:SetKey(_TRACK_Y, 0, 105)
	effector:SetKey(_TRACK_X, 2.66933600266934, -49)
	effector:SetKey(_TRACK_Y, 2.66933600266934, 45)
	effector:SetKey(_TRACK_X, 3.46179512846179, 391)
	effector:SetKey(_TRACK_Y, 3.46179512846179, 65)
	effector:SetKey(_TRACK_X, 6.38138138138138, -49)
	effector:SetKey(_TRACK_Y, 6.38138138138138, 45)
	effector:SetKey(_TRACK_SX, 0, 0.35777777777778)
	effector:SetKey(_TRACK_SY, 0, 0.35777777777778)
	effector:SetKey(_TRACK_SX, 2.66933600266934, 0.21777777777778)
	effector:SetKey(_TRACK_SY, 2.66933600266934, 0.21777777777778)
	effector:SetKey(_TRACK_SX, 3.46179512846179, 0.35777777777778)
	effector:SetKey(_TRACK_SY, 3.46179512846179, 0.35777777777778)
	effector:SetKey(_TRACK_SX, 6.38138138138138, 0.21777777777778)
	effector:SetKey(_TRACK_SY, 6.38138138138138, 0.21777777777778)
	effector:SetKey(_TRACK_O, 2.66933600266934, 0.38)
	effector:SetKey(_TRACK_O, 2.71104437771104, 0.01)
	effector:SetKey(_TRACK_O, 3.42008675342009, 0.01)
	effector:SetKey(_TRACK_O, 3.46179512846179, 0.38)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."mask01.png")
	element:SetName("Layer_8")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(210, 153)
	element:SetParentElement(compositionloc_03_bg)
	element:SetXY(815, 151)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."tree.png")
	element:SetName("Layer_9")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(174.061396913655, 183.891167453776)
	element:SetParentElement(compositionloc_03_bg)
	element:SetXY(971.999999999994, 185.749999999999)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.16683350016683, -0.00108100368666)
	effector:SetKey(_TRACK_A, 0.83416750083417, -0.01530069492807)
	effector:SetKey(_TRACK_A, 1.001001001001, -0.01682932275435)
	effector:SetKey(_TRACK_A, 1.16783450116783, -0.01530069492801)
	effector:SetKey(_TRACK_A, 1.83516850183517, -0.00108100368652)
	effector:SetKey(_TRACK_A, 2.002002002002, 0)
	effector:SetKey(_TRACK_A, 2.16883550216884, -0.00108100368666)
	effector:SetKey(_TRACK_A, 2.83616950283617, -0.01530069492807)
	effector:SetKey(_TRACK_A, 3.003003003003, -0.01682932275435)
	effector:SetKey(_TRACK_A, 3.16983650316984, -0.01530069492801)
	effector:SetKey(_TRACK_A, 3.83717050383717, -0.00108100368652)
	effector:SetKey(_TRACK_A, 4.004004004004, 0)
	effector:SetKey(_TRACK_A, 4.17083750417084, -0.00108100368666)
	effector:SetKey(_TRACK_A, 4.83817150483817, -0.01530069492807)
	effector:SetKey(_TRACK_A, 5.00500500500501, -0.01682932275435)
	effector:SetKey(_TRACK_A, 5.17183850517184, -0.01530069492801)
	effector:SetKey(_TRACK_A, 5.83917250583917, -0.00108100368652)
	effector:SetKey(_TRACK_A, 6.00600600600601, 0)
	effector:SetKey(_TRACK_A, 6.17283950617284, -0.00108100368666)
	effector:SetKey(_TRACK_A, 6.84017350684017, -0.01530069492807)
	effector:SetKey(_TRACK_A, 7.00700700700701, -0.01682932275435)
	effector:SetKey(_TRACK_A, 7.17384050717384, -0.01530069492801)
	effector:SetKey(_TRACK_A, 7.79946613279947, -0.00108100368652)
	effector:SetKey(_TRACK_A, 7.9662996329663, 0)
	effector:Play()
 
 
	-- Layer Layer_10
	element = createCompositionClouds_all()
	element:SetName("Layer_10")
	compositionloc_03_bg:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionloc_03_bg)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:Play()
 
	compositionloc_03_bg:Play()
 
	return compositionloc_03_bg
end
 
createCompositionmuha = function()
	local compositionmuha = CreateCompositionSequence()
	local compositionDuration = 8
	compositionmuha:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."muha_[].png")
	element:SetName("Layer_1")
	compositionmuha:AddElement(element)
	element:SetHotSpot(16, 10)
	element:SetParentElement(compositionmuha)
	element:SetXY(16, 10)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionmuha:Play()
 
	return compositionmuha
end
 
createCompositionMuhi = function()
	local compositionMuhi = CreateCompositionSequence()
	local compositionDuration = 8
	compositionMuhi:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionmuha()
	element:SetName("Layer_1")
	compositionMuhi:AddElement(element)
	element:SetHotSpot(16, 10)
	element:SetParentElement(compositionMuhi)
	element:SetScaleX(0.4375)
	element:SetScaleY(0.4375)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 79)
	effector:SetKey(_TRACK_Y, 0, 69)
	effector:SetKey(_TRACK_X, 0.16046875, 119)
	effector:SetKey(_TRACK_Y, 0.16046875, 9)
	effector:SetKey(_TRACK_X, 0.38515625, 139)
	effector:SetKey(_TRACK_Y, 0.38515625, 79)
	effector:SetKey(_TRACK_X, 0.995, 139)
	effector:SetKey(_TRACK_Y, 0.995, 79)
	effector:SetKey(_TRACK_X, 1.15546875, 89)
	effector:SetKey(_TRACK_Y, 1.15546875, 99)
	effector:SetKey(_TRACK_X, 1.38015625, 39)
	effector:SetKey(_TRACK_Y, 1.38015625, 79)
	effector:SetKey(_TRACK_X, 1.7011328125, 19)
	effector:SetKey(_TRACK_Y, 1.7011328125, 129)
	effector:SetKey(_TRACK_X, 2.343046875, 19)
	effector:SetKey(_TRACK_Y, 2.343046875, 129)
	effector:SetKey(_TRACK_X, 2.4714453125, 79)
	effector:SetKey(_TRACK_Y, 2.4714453125, 149)
	effector:SetKey(_TRACK_X, 2.6961328125, 109)
	effector:SetKey(_TRACK_Y, 2.6961328125, 109)
	effector:SetKey(_TRACK_X, 2.9208203125, 99)
	effector:SetKey(_TRACK_Y, 2.9208203125, 89)
	effector:SetKey(_TRACK_X, 3.14546875, 139)
	effector:SetKey(_TRACK_Y, 3.14546875, 79)
	effector:SetKey(_TRACK_X, 3.3059765625, 89)
	effector:SetKey(_TRACK_Y, 3.3059765625, 99)
	effector:SetKey(_TRACK_X, 3.5306640625, 39)
	effector:SetKey(_TRACK_Y, 3.5306640625, 79)
	effector:SetKey(_TRACK_X, 3.8516015625, 19)
	effector:SetKey(_TRACK_Y, 3.8516015625, 129)
	effector:SetKey(_TRACK_X, 4.0441796875, 79)
	effector:SetKey(_TRACK_Y, 4.0441796875, 69)
	effector:SetKey(_TRACK_X, 4.2046875, 119)
	effector:SetKey(_TRACK_Y, 4.2046875, 9)
	effector:SetKey(_TRACK_X, 4.4293359375, 139)
	effector:SetKey(_TRACK_Y, 4.4293359375, 79)
	effector:SetKey(_TRACK_X, 5.0391796875, 139)
	effector:SetKey(_TRACK_Y, 5.0391796875, 79)
	effector:SetKey(_TRACK_X, 5.1996875, 89)
	effector:SetKey(_TRACK_Y, 5.1996875, 99)
	effector:SetKey(_TRACK_X, 5.4243359375, 39)
	effector:SetKey(_TRACK_Y, 5.4243359375, 79)
	effector:SetKey(_TRACK_X, 5.7453125, 19)
	effector:SetKey(_TRACK_Y, 5.7453125, 129)
	effector:SetKey(_TRACK_X, 6.387265625, 19)
	effector:SetKey(_TRACK_Y, 6.387265625, 129)
	effector:SetKey(_TRACK_X, 6.5156640625, 79)
	effector:SetKey(_TRACK_Y, 6.5156640625, 149)
	effector:SetKey(_TRACK_X, 6.7403125, 109)
	effector:SetKey(_TRACK_Y, 6.7403125, 109)
	effector:SetKey(_TRACK_X, 6.965, 99)
	effector:SetKey(_TRACK_Y, 6.965, 89)
	effector:SetKey(_TRACK_X, 7.1896875, 139)
	effector:SetKey(_TRACK_Y, 7.1896875, 79)
	effector:SetKey(_TRACK_X, 7.35015625, 89)
	effector:SetKey(_TRACK_Y, 7.35015625, 99)
	effector:SetKey(_TRACK_X, 7.57484375, 39)
	effector:SetKey(_TRACK_Y, 7.57484375, 79)
	effector:SetKey(_TRACK_X, 7.96, 79)
	effector:SetKey(_TRACK_Y, 7.96, 69)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.2567578125, 1.18682389)
	effector:SetKey(_TRACK_A, 0.6740234375, -0.2617993875)
	effector:SetKey(_TRACK_A, 1.2517578125, 1.8325957125)
	effector:SetKey(_TRACK_A, 1.636953125, 0.104719755)
	effector:SetKey(_TRACK_A, 2.2146875, -1.3788101075)
	effector:SetKey(_TRACK_A, 3.562734375, 0.5410520675)
	effector:SetKey(_TRACK_A, 3.98, -0.3665191425)
	effector:SetKey(_TRACK_A, 4.6540234375, 2.6354471675)
	effector:SetKey(_TRACK_A, 5.2959765625, 1.67551608)
	effector:SetKey(_TRACK_A, 5.80953125, 0.872664625)
	effector:SetKey(_TRACK_A, 7.927890625, 2.0420352225)
	effector:Play()
 
	compositionMuhi:Play()
 
	return compositionMuhi
end
 
createCompositionSHADOW = function()
	local compositionSHADOW = CreateCompositionSequence()
	local compositionDuration = 8.00800800800801
	compositionSHADOW:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."shadow_mask.png")
	element:SetName("Layer_1")
	compositionSHADOW:AddElement(element)
	element:SetHotSpot(32.5, 31.5)
	element:SetParentElement(compositionSHADOW)
	element:SetXY(644.5, 56.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."shadow.png")
	element:SetName("Layer_2")
	compositionSHADOW:AddElement(element)
	element:SetHotSpot(8, 13.5)
	element:SetParentElement(compositionSHADOW)
	element:SetScaleX(2.17824074074075)
	element:SetScaleY(1.76388888888889)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:SetKey(_TRACK_X, 1.12612612612613, 662.75)
	effector:SetKey(_TRACK_Y, 1.12612612612613, 53)
	effector:SetKey(_TRACK_X, 1.27210543877211, 654.685735921959)
	effector:SetKey(_TRACK_Y, 1.27210543877211, 51.9373104709543)
	effector:SetKey(_TRACK_X, 1.39155822489156, 648.497590856363)
	effector:SetKey(_TRACK_Y, 1.39155822489156, 51.4996044609972)
	effector:SetKey(_TRACK_X, 1.41808475141808, 647.622448901529)
	effector:SetKey(_TRACK_Y, 1.41808475141808, 51.4578925631168)
	effector:SetKey(_TRACK_X, 1.56406406406406, 639.053263330944)
	effector:SetKey(_TRACK_Y, 1.56406406406406, 47.6038368378026)
	effector:SetKey(_TRACK_X, 1.71004337671004, 632.5)
	effector:SetKey(_TRACK_Y, 1.71004337671004, 49.75)
	effector:SetKey(_TRACK_O, 1.12612612612613, 0)
	effector:SetKey(_TRACK_O, 1.17922088755422, 0.84)
	effector:SetKey(_TRACK_O, 1.62662662662663, 0.73)
	effector:SetKey(_TRACK_O, 1.71004337671004, 0)
	effector:Play()
 
	compositionSHADOW:Play()
 
	return compositionSHADOW
end
 
createCompositionWindows = function()
	local compositionWindows = CreateCompositionSequence()
	local compositionDuration = 8.00800800800801
	compositionWindows:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."w03.png")
	element:SetName("Layer_1")
	compositionWindows:AddElement(element)
	element:SetHotSpot(41.5, 46.75)
	element:SetParentElement(compositionWindows)
	element:SetXY(296.5, 272.75)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.08341675008342, 1.00343446770696)
	effector:SetKey(_TRACK_SY, 0.08341675008342, 1)
	effector:SetKey(_TRACK_SX, 0.41708375041708, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 0.41708375041708, 1)
	effector:SetKey(_TRACK_SX, 0.5005005005005, 1.04743813577664)
	effector:SetKey(_TRACK_SY, 0.5005005005005, 1)
	effector:SetKey(_TRACK_SX, 0.58391725058392, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 0.58391725058392, 1)
	effector:SetKey(_TRACK_SX, 0.91758425091758, 1.00277544689857)
	effector:SetKey(_TRACK_SY, 0.91758425091758, 1)
	effector:SetKey(_TRACK_SX, 1.001001001001, 1)
	effector:SetKey(_TRACK_SY, 1.001001001001, 1)
	effector:SetKey(_TRACK_SX, 1.08441775108442, 1.00343446770696)
	effector:SetKey(_TRACK_SY, 1.08441775108442, 1)
	effector:SetKey(_TRACK_SX, 1.41808475141808, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 1.41808475141808, 1)
	effector:SetKey(_TRACK_SX, 1.5015015015015, 1.04743813577664)
	effector:SetKey(_TRACK_SY, 1.5015015015015, 1)
	effector:SetKey(_TRACK_SX, 1.58491825158492, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 1.58491825158492, 1)
	effector:SetKey(_TRACK_SX, 1.91858525191859, 1.00277544689857)
	effector:SetKey(_TRACK_SY, 1.91858525191859, 1)
	effector:SetKey(_TRACK_SX, 2.002002002002, 1)
	effector:SetKey(_TRACK_SY, 2.002002002002, 1)
	effector:SetKey(_TRACK_SX, 2.08541875208542, 1.00343446770696)
	effector:SetKey(_TRACK_SY, 2.08541875208542, 1)
	effector:SetKey(_TRACK_SX, 2.41908575241909, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 2.41908575241909, 1)
	effector:SetKey(_TRACK_SX, 2.5025025025025, 1.04743813577664)
	effector:SetKey(_TRACK_SY, 2.5025025025025, 1)
	effector:SetKey(_TRACK_SX, 2.58591925258592, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 2.58591925258592, 1)
	effector:SetKey(_TRACK_SX, 2.91958625291959, 1.00277544689857)
	effector:SetKey(_TRACK_SY, 2.91958625291959, 1)
	effector:SetKey(_TRACK_SX, 3.003003003003, 1)
	effector:SetKey(_TRACK_SY, 3.003003003003, 1)
	effector:SetKey(_TRACK_SX, 3.08641975308642, 1.00343446770696)
	effector:SetKey(_TRACK_SY, 3.08641975308642, 1)
	effector:SetKey(_TRACK_SX, 3.42008675342009, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 3.42008675342009, 1)
	effector:SetKey(_TRACK_SX, 3.5035035035035, 1.04743813577664)
	effector:SetKey(_TRACK_SY, 3.5035035035035, 1)
	effector:SetKey(_TRACK_SX, 3.58692025358692, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 3.58692025358692, 1)
	effector:SetKey(_TRACK_SX, 3.92058725392059, 1.00277544689857)
	effector:SetKey(_TRACK_SY, 3.92058725392059, 1)
	effector:SetKey(_TRACK_SX, 4.004004004004, 1)
	effector:SetKey(_TRACK_SY, 4.004004004004, 1)
	effector:SetKey(_TRACK_SX, 4.08742075408742, 1.00343446770696)
	effector:SetKey(_TRACK_SY, 4.08742075408742, 1)
	effector:SetKey(_TRACK_SX, 4.42108775442109, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 4.42108775442109, 1)
	effector:SetKey(_TRACK_SX, 4.5045045045045, 1.04743813577664)
	effector:SetKey(_TRACK_SY, 4.5045045045045, 1)
	effector:SetKey(_TRACK_SX, 4.58792125458792, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 4.58792125458792, 1)
	effector:SetKey(_TRACK_SX, 4.92158825492159, 1.00277544689857)
	effector:SetKey(_TRACK_SY, 4.92158825492159, 1)
	effector:SetKey(_TRACK_SX, 5.00500500500501, 1)
	effector:SetKey(_TRACK_SY, 5.00500500500501, 1)
	effector:SetKey(_TRACK_SX, 5.08842175508842, 1.00343446770696)
	effector:SetKey(_TRACK_SY, 5.08842175508842, 1)
	effector:SetKey(_TRACK_SX, 5.42208875542209, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 5.42208875542209, 1)
	effector:SetKey(_TRACK_SX, 5.50550550550551, 1.04743813577664)
	effector:SetKey(_TRACK_SY, 5.50550550550551, 1)
	effector:SetKey(_TRACK_SX, 5.58892225558892, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 5.58892225558892, 1)
	effector:SetKey(_TRACK_SX, 5.92258925592259, 1.00277544689857)
	effector:SetKey(_TRACK_SY, 5.92258925592259, 1)
	effector:SetKey(_TRACK_SX, 6.00600600600601, 1)
	effector:SetKey(_TRACK_SY, 6.00600600600601, 1)
	effector:SetKey(_TRACK_SX, 6.08942275608942, 1.00343446770696)
	effector:SetKey(_TRACK_SY, 6.08942275608942, 1)
	effector:SetKey(_TRACK_SX, 6.42308975642309, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 6.42308975642309, 1)
	effector:SetKey(_TRACK_SX, 6.50650650650651, 1.04743813577664)
	effector:SetKey(_TRACK_SY, 6.50650650650651, 1)
	effector:SetKey(_TRACK_SX, 6.58992325658992, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 6.58992325658992, 1)
	effector:SetKey(_TRACK_SX, 6.92359025692359, 1.00277544689857)
	effector:SetKey(_TRACK_SY, 6.92359025692359, 1)
	effector:SetKey(_TRACK_SX, 7.00700700700701, 1)
	effector:SetKey(_TRACK_SY, 7.00700700700701, 1)
	effector:SetKey(_TRACK_SX, 7.09042375709042, 1.00343446770696)
	effector:SetKey(_TRACK_SY, 7.09042375709042, 1)
	effector:SetKey(_TRACK_SX, 7.42409075742409, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 7.42409075742409, 1)
	effector:SetKey(_TRACK_SX, 7.50750750750751, 1.04743813577664)
	effector:SetKey(_TRACK_SY, 7.50750750750751, 1)
	effector:SetKey(_TRACK_SX, 7.59092425759092, 1.04518072289157)
	effector:SetKey(_TRACK_SY, 7.59092425759092, 1)
	effector:SetKey(_TRACK_SX, 7.88288288288288, 1.00277544689857)
	effector:SetKey(_TRACK_SY, 7.88288288288288, 1)
	effector:SetKey(_TRACK_SX, 7.9662996329663, 1)
	effector:SetKey(_TRACK_SY, 7.9662996329663, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."w02.png")
	element:SetName("Layer_2")
	compositionWindows:AddElement(element)
	element:SetHotSpot(2.25, 86.75)
	element:SetParentElement(compositionWindows)
	element:SetXY(342.25, 254.75)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:SetKey(_TRACK_SX, 0, 1.06086956521739)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.13275775775776, 1.05636070848747)
	effector:SetKey(_TRACK_SY, 0.13275775775776, 1)
	effector:SetKey(_TRACK_SX, 0.66387220553887, 1.00450885672951)
	effector:SetKey(_TRACK_SY, 0.66387220553887, 1)
	effector:SetKey(_TRACK_SX, 0.79662996329663, 1)
	effector:SetKey(_TRACK_SY, 0.79662996329663, 1)
	effector:SetKey(_TRACK_SX, 0.92938772105439, 1.00450885672986)
	effector:SetKey(_TRACK_SY, 0.92938772105439, 1)
	effector:SetKey(_TRACK_SX, 1.4605021688355, 1.05636070848762)
	effector:SetKey(_TRACK_SY, 1.4605021688355, 1)
	effector:SetKey(_TRACK_SX, 1.59325992659326, 1.06086956521739)
	effector:SetKey(_TRACK_SY, 1.59325992659326, 1)
	effector:SetKey(_TRACK_SX, 1.72601768435102, 1.05636070848747)
	effector:SetKey(_TRACK_SY, 1.72601768435102, 1)
	effector:SetKey(_TRACK_SX, 2.25713213213213, 1.00450885672951)
	effector:SetKey(_TRACK_SY, 2.25713213213213, 1)
	effector:SetKey(_TRACK_SX, 2.38988988988989, 1)
	effector:SetKey(_TRACK_SY, 2.38988988988989, 1)
	effector:SetKey(_TRACK_SX, 2.52264764764765, 1.00450885672986)
	effector:SetKey(_TRACK_SY, 2.52264764764765, 1)
	effector:SetKey(_TRACK_SX, 3.05376209542876, 1.05636070848762)
	effector:SetKey(_TRACK_SY, 3.05376209542876, 1)
	effector:SetKey(_TRACK_SX, 3.18651985318652, 1.06086956521739)
	effector:SetKey(_TRACK_SY, 3.18651985318652, 1)
	effector:SetKey(_TRACK_SX, 3.31927761094428, 1.05636070848747)
	effector:SetKey(_TRACK_SY, 3.31927761094428, 1)
	effector:SetKey(_TRACK_SX, 3.85039205872539, 1.00450885672951)
	effector:SetKey(_TRACK_SY, 3.85039205872539, 1)
	effector:SetKey(_TRACK_SX, 3.98314981648315, 1)
	effector:SetKey(_TRACK_SY, 3.98314981648315, 1)
	effector:SetKey(_TRACK_SX, 4.11590757424091, 1.00450885672986)
	effector:SetKey(_TRACK_SY, 4.11590757424091, 1)
	effector:SetKey(_TRACK_SX, 4.64702202202202, 1.05636070848762)
	effector:SetKey(_TRACK_SY, 4.64702202202202, 1)
	effector:SetKey(_TRACK_SX, 4.77977977977978, 1.06086956521739)
	effector:SetKey(_TRACK_SY, 4.77977977977978, 1)
	effector:SetKey(_TRACK_SX, 4.91253753753754, 1.05636070848747)
	effector:SetKey(_TRACK_SY, 4.91253753753754, 1)
	effector:SetKey(_TRACK_SX, 5.44365198531865, 1.00450885672951)
	effector:SetKey(_TRACK_SY, 5.44365198531865, 1)
	effector:SetKey(_TRACK_SX, 5.57640974307641, 1)
	effector:SetKey(_TRACK_SY, 5.57640974307641, 1)
	effector:SetKey(_TRACK_SX, 5.70916750083417, 1.00450885672986)
	effector:SetKey(_TRACK_SY, 5.70916750083417, 1)
	effector:SetKey(_TRACK_SX, 6.24028194861528, 1.05636070848762)
	effector:SetKey(_TRACK_SY, 6.24028194861528, 1)
	effector:SetKey(_TRACK_SX, 6.37303970637304, 1.06086956521739)
	effector:SetKey(_TRACK_SY, 6.37303970637304, 1)
	effector:SetKey(_TRACK_SX, 6.5057974641308, 1.05636070848747)
	effector:SetKey(_TRACK_SY, 6.5057974641308, 1)
	effector:SetKey(_TRACK_SX, 7.03691191191191, 1.00450885672951)
	effector:SetKey(_TRACK_SY, 7.03691191191191, 1)
	effector:SetKey(_TRACK_SX, 7.16966966966967, 1)
	effector:SetKey(_TRACK_SY, 7.16966966966967, 1)
	effector:SetKey(_TRACK_SX, 7.30242742742743, 1.00450885672986)
	effector:SetKey(_TRACK_SY, 7.30242742742743, 1)
	effector:SetKey(_TRACK_SX, 7.83354187520854, 1.05636070848762)
	effector:SetKey(_TRACK_SY, 7.83354187520854, 1)
	effector:SetKey(_TRACK_SX, 7.9662996329663, 1.06086956521739)
	effector:SetKey(_TRACK_SY, 7.9662996329663, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."w01.png")
	element:SetName("Layer_3")
	compositionWindows:AddElement(element)
	element:SetHotSpot(0.75, 59.25)
	element:SetParentElement(compositionWindows)
	element:SetXY(551.75, 250.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8.00800800800801)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.08341675008342, 1.00506096163556)
	effector:SetKey(_TRACK_SY, 0.08341675008342, 1)
	effector:SetKey(_TRACK_SX, 0.41708375041708, 1.063262019731)
	effector:SetKey(_TRACK_SY, 0.41708375041708, 1)
	effector:SetKey(_TRACK_SX, 0.5005005005005, 1.06832298136646)
	effector:SetKey(_TRACK_SY, 0.5005005005005, 1)
	effector:SetKey(_TRACK_SX, 0.58391725058392, 1.06326201973083)
	effector:SetKey(_TRACK_SY, 0.58391725058392, 1)
	effector:SetKey(_TRACK_SX, 0.91758425091758, 1.00506096163516)
	effector:SetKey(_TRACK_SY, 0.91758425091758, 1)
	effector:SetKey(_TRACK_SX, 1.001001001001, 1)
	effector:SetKey(_TRACK_SY, 1.001001001001, 1)
	effector:SetKey(_TRACK_SX, 1.08441775108442, 1.00506096163556)
	effector:SetKey(_TRACK_SY, 1.08441775108442, 1)
	effector:SetKey(_TRACK_SX, 1.41808475141808, 1.063262019731)
	effector:SetKey(_TRACK_SY, 1.41808475141808, 1)
	effector:SetKey(_TRACK_SX, 1.5015015015015, 1.06832298136646)
	effector:SetKey(_TRACK_SY, 1.5015015015015, 1)
	effector:SetKey(_TRACK_SX, 1.58491825158492, 1.06326201973083)
	effector:SetKey(_TRACK_SY, 1.58491825158492, 1)
	effector:SetKey(_TRACK_SX, 1.91858525191859, 1.00506096163516)
	effector:SetKey(_TRACK_SY, 1.91858525191859, 1)
	effector:SetKey(_TRACK_SX, 2.002002002002, 1)
	effector:SetKey(_TRACK_SY, 2.002002002002, 1)
	effector:SetKey(_TRACK_SX, 2.08541875208542, 1.00506096163556)
	effector:SetKey(_TRACK_SY, 2.08541875208542, 1)
	effector:SetKey(_TRACK_SX, 2.41908575241909, 1.063262019731)
	effector:SetKey(_TRACK_SY, 2.41908575241909, 1)
	effector:SetKey(_TRACK_SX, 2.5025025025025, 1.06832298136646)
	effector:SetKey(_TRACK_SY, 2.5025025025025, 1)
	effector:SetKey(_TRACK_SX, 2.58591925258592, 1.06326201973083)
	effector:SetKey(_TRACK_SY, 2.58591925258592, 1)
	effector:SetKey(_TRACK_SX, 2.91958625291959, 1.00506096163516)
	effector:SetKey(_TRACK_SY, 2.91958625291959, 1)
	effector:SetKey(_TRACK_SX, 3.003003003003, 1)
	effector:SetKey(_TRACK_SY, 3.003003003003, 1)
	effector:SetKey(_TRACK_SX, 3.08641975308642, 1.00506096163556)
	effector:SetKey(_TRACK_SY, 3.08641975308642, 1)
	effector:SetKey(_TRACK_SX, 3.42008675342009, 1.063262019731)
	effector:SetKey(_TRACK_SY, 3.42008675342009, 1)
	effector:SetKey(_TRACK_SX, 3.5035035035035, 1.06832298136646)
	effector:SetKey(_TRACK_SY, 3.5035035035035, 1)
	effector:SetKey(_TRACK_SX, 3.58692025358692, 1.06326201973083)
	effector:SetKey(_TRACK_SY, 3.58692025358692, 1)
	effector:SetKey(_TRACK_SX, 3.92058725392059, 1.00506096163516)
	effector:SetKey(_TRACK_SY, 3.92058725392059, 1)
	effector:SetKey(_TRACK_SX, 4.004004004004, 1)
	effector:SetKey(_TRACK_SY, 4.004004004004, 1)
	effector:SetKey(_TRACK_SX, 4.08742075408742, 1.00506096163556)
	effector:SetKey(_TRACK_SY, 4.08742075408742, 1)
	effector:SetKey(_TRACK_SX, 4.42108775442109, 1.063262019731)
	effector:SetKey(_TRACK_SY, 4.42108775442109, 1)
	effector:SetKey(_TRACK_SX, 4.5045045045045, 1.06832298136646)
	effector:SetKey(_TRACK_SY, 4.5045045045045, 1)
	effector:SetKey(_TRACK_SX, 4.58792125458792, 1.06326201973083)
	effector:SetKey(_TRACK_SY, 4.58792125458792, 1)
	effector:SetKey(_TRACK_SX, 4.92158825492159, 1.00506096163516)
	effector:SetKey(_TRACK_SY, 4.92158825492159, 1)
	effector:SetKey(_TRACK_SX, 5.00500500500501, 1)
	effector:SetKey(_TRACK_SY, 5.00500500500501, 1)
	effector:SetKey(_TRACK_SX, 5.08842175508842, 1.00506096163556)
	effector:SetKey(_TRACK_SY, 5.08842175508842, 1)
	effector:SetKey(_TRACK_SX, 5.42208875542209, 1.063262019731)
	effector:SetKey(_TRACK_SY, 5.42208875542209, 1)
	effector:SetKey(_TRACK_SX, 5.50550550550551, 1.06832298136646)
	effector:SetKey(_TRACK_SY, 5.50550550550551, 1)
	effector:SetKey(_TRACK_SX, 5.58892225558892, 1.06326201973083)
	effector:SetKey(_TRACK_SY, 5.58892225558892, 1)
	effector:SetKey(_TRACK_SX, 5.92258925592259, 1.00506096163516)
	effector:SetKey(_TRACK_SY, 5.92258925592259, 1)
	effector:SetKey(_TRACK_SX, 6.00600600600601, 1)
	effector:SetKey(_TRACK_SY, 6.00600600600601, 1)
	effector:SetKey(_TRACK_SX, 6.08942275608942, 1.00506096163556)
	effector:SetKey(_TRACK_SY, 6.08942275608942, 1)
	effector:SetKey(_TRACK_SX, 6.42308975642309, 1.063262019731)
	effector:SetKey(_TRACK_SY, 6.42308975642309, 1)
	effector:SetKey(_TRACK_SX, 6.50650650650651, 1.06832298136646)
	effector:SetKey(_TRACK_SY, 6.50650650650651, 1)
	effector:SetKey(_TRACK_SX, 6.58992325658992, 1.06326201973083)
	effector:SetKey(_TRACK_SY, 6.58992325658992, 1)
	effector:SetKey(_TRACK_SX, 6.92359025692359, 1.00506096163516)
	effector:SetKey(_TRACK_SY, 6.92359025692359, 1)
	effector:SetKey(_TRACK_SX, 7.00700700700701, 1)
	effector:SetKey(_TRACK_SY, 7.00700700700701, 1)
	effector:SetKey(_TRACK_SX, 7.09042375709042, 1.00506096163556)
	effector:SetKey(_TRACK_SY, 7.09042375709042, 1)
	effector:SetKey(_TRACK_SX, 7.42409075742409, 1.063262019731)
	effector:SetKey(_TRACK_SY, 7.42409075742409, 1)
	effector:SetKey(_TRACK_SX, 7.50750750750751, 1.06832298136646)
	effector:SetKey(_TRACK_SY, 7.50750750750751, 1)
	effector:SetKey(_TRACK_SX, 7.59092425759092, 1.06326201973083)
	effector:SetKey(_TRACK_SY, 7.59092425759092, 1)
	effector:SetKey(_TRACK_SX, 7.88288288288288, 1.00506096163516)
	effector:SetKey(_TRACK_SY, 7.88288288288288, 1)
	effector:SetKey(_TRACK_SX, 7.9662996329663, 1)
	effector:SetKey(_TRACK_SY, 7.9662996329663, 1)
	effector:Play()
 
	compositionWindows:Play()
 
	return compositionWindows
end
 
